Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

SS-2018-017: Possible PHP Object Injection via Multi-Value Field Extension

Severity:
Moderate (?)
Identifier:
SS-2018-017
Versions Affected:
symbiote/silverstripe-multivaluefield ^3.0.0
Versions Fixed:
symbiote/silverstripe-multivaluefield 3.1.0
Release Date:
2018-07-26

A potential deserialisation vulnerability has been identified in the symbiote/silverstripe-multivaluefield which could allow an attacker to exploit implementations of this module via object injection.

Support for handling PHP objects as values in this module has been deprecated, and the serialisation technique has been switched to using JSON for handling arrays.

As well as this, a potential XSS (cross-site scripting) vulnerability has been identified and remediated.

Reported by Insomnia Security.